#include <bits/stdc++.h>

using namespace std;

int main(){
char c1,c2;
int a1,a2;
cin >> c1 >> c2;
cin >> a1 >> a2;
int brojac = 0;
int provera = (a1 - a2);
if(provera > 1 || (provera * -1) > 1){
    cout << "nemoguce" << endl;
    return 0;
}
if(a1 == a2){
    for(int i = 0;i < a1;i++){
        cout << c1 << c2;
    }
}
if (a1 > a2){
for(int i = 0;i < a1;i++){
    cout << c1;
    if(brojac != a2){
    cout << c2;
    }
    brojac ++;
    }
}
    if (a2 > a1){
    for(int i = 0;i < a2;i++){
        cout << c2;
    if(brojac != a1){
        cout << c1;
    }
    brojac ++;
    }
    }
return 0;
}